Index: branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/inet
===================================================================
--- branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/inet	(revision 10834)
+++ 	(revision )
@@ -1,29 +1,0 @@
-#!/bin/sh
-#
-# PROVIDE: inet
-# BEFORE: LOGIN
-# KEYWORD: shutdown
-#
-# Add the following line to /etc/rc.conf to enable inet/lvrouted:
-#
-# Don't enable lvrouted yet
-#
-# inet_enable="YES"
-#
-. /etc/rc.subr
-
-name=inet
-rcvar=`set_rcvar`
-
-command_interpreter=/bin/sh
-command=/usr/local/sbin/inet
-command_args="&"
-
-load_rc_config ${name}
-
-inet_enable=${inet_enable-"NO"}
-inet_pidfile=${inet_pidfile-"/var/run/inet.pid"}
-pidfile="${inet_pidfile}"
-
-run_rc_command "$1"
-
Index: branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/lvrouted
===================================================================
--- branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/lvrouted	(revision 10834)
+++ 	(revision )
@@ -1,52 +1,0 @@
-#!/bin/sh
-#
-# PROVIDE: lvrouted
-# REQUIRE: netif routing
-# KEYWORD: nojail
-
-lvrouted_enable=${lvrouted_enable:-"NO"}
-lvrouted_flags=${lvrouted_flags:-}
-
-. /etc/rc.subr
-
-name="lvrouted"
-rcvar=`set_rcvar`
-load_rc_config $name
-
-command="/usr/local/sbin/${name}"
-pid_file="/var/run/${name}.pid" 
-
-# Import proxies
-wleiden_conf="/usr/local/etc/wleiden.conf"
-if [ -r $wleiden_conf ]; then
-  . ${wleiden_conf}
-fi
-
-# If there are proxies specified, them add them with the z flag
-if [ -n "$PROXIES" ]; then
-  PROXIES=`echo ${PROXIES} | sed 's/\ /\,/g'`
-  lvrouted_flags="$lvrouted_flags -z $PROXIES"
-fi
-
-start_precmd="lvrouted_flush_routes"
-
-# XXX: Needs to be a flag to disable
-# XXX: lvrouted should mark their added routed protocol specific (see: man 8 route)
-# lvrouted requires no route to exists before start as it is not able to alter
-# old routes, so make it flush all dynamic generated routes
-lvrouted_flush_routes() {
-	
-	# XXX: Does the looping bug still exists?
-	# Keep looping till we whiped _all_ dynamic generated routes
-	while true; do
-		netstat -nr -f inet | awk '{if ($3 ~ /.*D.*/) { exit 1} }'
-		if [ $? -eq 0 ]; then
-			break
-		fi
-		echo "WARNING: Flushing all existing DYNAMIC routes" 1>&2
-		netstat -nr -f inet | awk '{if ($3 ~ /.*D.*/) {print $1} }' | xargs -n 1 route delete
-	done
-} 
-	
-run_rc_command "$1"
-
Index: branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/maradns
===================================================================
--- branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/maradns	(revision 10834)
+++ 	(revision )
@@ -1,33 +1,0 @@
-#!/bin/sh
-#
-# $FreeBSD: ports/dns/maradns/files/maradns.in,v 1.3 2010/02/08 15:08:44 miwi Exp $
-#
-
-# PROVIDE: maradns
-# REQUIRE: SERVERS
-# BEFORE: DAEMON
-# KEYWORD: shutdown
-#
-
-. /etc/rc.subr
-
-: ${maradns_enable="NO"}
-: ${maradns_conf="/usr/local/etc/mararc"}
-
-
-# Nastly hack to allow the MaraDNS bind to the proper variable IP address
-mara_pre() {
-  IP=`ifconfig ${internalif} | awk '/inet/ { print $2 }'`
-  sed -i .orig 's/^\(ipv4_bind_addresses[\ \t=]*"\).*$/\1'${IP}',127.0.0.1"/g' ${maradns_conf}
-}
-
-name="maradns"
-rcvar=`set_rcvar`
-command="/usr/local/bin/duende"
-command_args="/usr/local/sbin/maradns -f ${maradns_conf}"
-pidfile="/var/run/${name}.pid"
-start_precmd=mara_pre
-load_rc_config $name
-
-run_rc_command "$1"
-
Index: branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/nsd
===================================================================
--- branches/releng-9.0/nanobsd/files/usr/local/etc/rc.d/nsd	(revision 10834)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/sh
-#
-# $FreeBSD: ports/dns/nsd/files/nsd.in,v 1.4 2009/01/16 00:30:07 miwi Exp $
-#
-# PROVIDE: nsd
-# REQUIRE: DAEMON
-#
-# Add the following line to /etc/rc.conf to enable nsd:
-#
-# nsd_enable="YES"
-# 
-# Added the start command since rebuilding is required at first boot (richardvm@wirelessleiden.nl)
-
-. /etc/rc.subr
-
-name=nsd
-rcvar=`set_rcvar`
-
-required_files=/usr/local/etc/nsd/nsd.conf
-
-command=/usr/local/sbin/${name}
-pidfile=/var/run/${name}.pid
-
-load_rc_config ${name}
-
-nsd_enable=${nsd_enable-"NO"}
-
-stop_cmd="nsd_stop"
-start_cmd="nsd_start"
-
-nsd_start()
-{
-        echo "Rebuilding zone files..."
-	/usr/local/sbin/nsdc rebuild
-
-        echo "Starting nsd."
-	/usr/local/sbin/nsdc start
-}
-
-nsd_stop()
-{
-        echo "Merging nsd zone transfer changes to zone files."
-        /usr/local/sbin/nsdc patch
-
-        sleep 5
-
-        echo "Stopping nsd."
-        /usr/local/sbin/nsdc stop
-}
-
-
-run_rc_command "$1"
-
Index: branches/releng-9.0/nanobsd/files/usr/local/sbin/inet
===================================================================
--- branches/releng-9.0/nanobsd/files/usr/local/sbin/inet	(revision 10834)
+++ 	(revision )
@@ -1,97 +1,0 @@
-#!/bin/sh
-
-PATH=$PATH:/bin:/usr/bin
-export PATH
-
-# Test page to query
-PROXY_TEST='http://www.ams-ix.net/'
-
-# Log file
-LOGFILE='/var/log/inet.log'
-PIDFILE='/var/run/inet.pid'
-
-# Speed periods
-SLEEP_OK='900'
-SLEEP_NOK='60'
-
-# Write pid file 
-echo $$ > ${PIDFILE}
-
-# Logging
-log()
-{
-	_datestamp=`date "+%Y-%m-%d %H:%M:%S"`
-	_msg="[${_datestamp}] $*"
-	echo "${_msg}" >> ${LOGFILE}
-}
-
-# Start/stop lvrouted
-lvrouted()
-{
-    script=/usr/local/etc/rc.d/lvrouted
-
-    case $1 in
-
-      enable)
-        ${script} onestart 
-      ;; 
-
-      disable)
-        ${script} onestop
-      ;;
-
-    esac
-
-}
-
-# Make sure I never die
-while [ true ];
-do
-
-  # Query the webpage
-  fetch -o /dev/null ${PROXY_TEST} > /dev/null 2>/dev/null
-  
-  # What is the Exit code of fetch?
-  EXIT=$?
-
-  # Did the status change?
-  if [ "$STATUS" != "$EXIT" ]; then
-    STATUS=${EXIT}
-
-    # New status:
-    case ${STATUS} in
-
-      # Internet is present, let's enable lvrouted    
-      0)
-        lvrouted enable
-        log "INET OK: Enabled lvrouted"
-      ;;
-
-      # Internet is not present, let's disabled lvrouted
-      1)
-        lvrouted disable
-        log "INET CRITICAL: Disabled lvrouted"
-      ;;
-
-    esac
-  fi
-
-  # Did my magic, lets sleep
-  case ${STATUS} in
-
-    # I am in ok state, I will wake up in ...
-    0)
-      sleep ${SLEEP_OK}
-    ;;
-
-
-    # I am in nok state, I will wake up in ...
-    1)
-      sleep ${SLEEP_NOK}
-    ;;
-
-  esac
-
- 
-done
-