Index: nodes/HybridWatertoren2/wleiden.yaml
===================================================================
--- nodes/HybridWatertoren2/wleiden.yaml	(revision 11747)
+++ nodes/HybridWatertoren2/wleiden.yaml	(revision 11748)
@@ -9,21 +9,15 @@
 location  : "Watertoren, Kudelstaartseweg 16,1431 GA, Aalsmeer"
 longitude : "4.75742"
-masterip  : "172.17.9.1"
+masterip  : "172.17.10.1"
 monitoring_group: "wleiden"
-nodename  : "Watertoren1"
+nodename  : "Watertoren2"
 nodetype  : "Hybrid"
 rdnap_x   : 111998
 rdnap_y   : 474286
-rdr_host  : "92.66.227.163"
-rdr_rules :
-- ['tcp', 9080, '172.17.0.41', 80]
-- ['tcp', 9081, '172.17.0.42', 554]
-- ['tcp', 9082, '172.17.0.43', 554]
-- ['tcp', 9083, '172.17.0.44', 80]
 release   : "9.0-RELEASE"
-remote_access: "92.66.227.163:22"
+remote_access: "92.66.227.162:22"
 service_accesspoint: True
 service_concentrator: False
-service_incoming_rdr: True
+service_incoming_rdr: False
 service_proxy_ileiden: True
 service_proxy_normal: True
@@ -32,19 +26,43 @@
 
 iface_ath0:
-  comment    : "OMNI voor Wifi op de westeinder (Mast3:Pos2)"
-  ip         : "172.17.9.1/26"
+  comment    : "OMNI voor Wifi op de westeinder (MastX:PostX)"
+  ip         : "172.17.10.1/26"
   sdesc      : "ap-omni"
   mode       : "ap"
   type       : "11g"
-  channel    : 6
-  ssid       : "ap-westeinder-watertoren1"
+  channel    : 1
+  ssid       : "ap-westeinder-watertoren2"
   dhcp       : "20-60"
   status     : "up"
 
 
+iface_ue0:
+  comment    : "Link naar Kaag2 via NSM5 (Mast2:Pos4)"
+  ip         : "172.16.3.244/29"
+  sdesc      : "2kaag2"
+  mode       : "ap-wds"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "36"
+  ssid       : "il-zw.watertoren2.wleiden.net"
+  dhcp       : False
+  compass    : "w"
+  ns_ip      : "172.16.3.243/29"
+  ns_mac     : "dc:9f:db:2a:27:9c"
+  bridge_type: "NanoStation M5"
+  status     : "up"
+
+iface_ue0_alias0:
+  comment    : "Tijdelijke link naar kempers"
+  ip         : "172.16.16.137/29"
+  sdesc      : "2kempers"
+  type       : "eth"
+  dhcp       : False
+  status     : "up"
+
 iface_vr0:
-  comment    : "Ethernet/ Switchport: 3"
-  ip         : "172.25.90.67/29"
-  sdesc      : "uplink"
+  comment    : "Ethernet / Switchport: 2"
+  ip         : "172.25.90.65/29"
+  sdesc      : "2proxy"
   type       : "eth"
   dhcp       : False
@@ -54,5 +72,5 @@
 iface_vr0_alias0:
   comment    : "Uplink"
-  ip         : "92.66.227.163/29"
+  ip         : "92.66.227.162/29"
   sdesc      : "uplink"
   type       : "eth"
@@ -62,33 +80,34 @@
 
 iface_vr1:
-  comment    : "Nanostation naar Amsterdam (Mast1:Pos2)"
-  ip         : "172.16.16.89/29"
-  sdesc      : "2ams"
+  comment    : "Unused (Mast3:Pos2)"
+  ip         : "172.16.16.100/29"
+  sdesc      : "2kempersextra"
   mode       : "ap-wds"
   type       : "eth"
-  channel    : "44"
-  ssid       : "il-nw.watertoren1.wleiden.net"
+  extra_type : "eth2wifibridge"
+  ssid       : "il-zw2.watertoren2.wleiden.net"
   dhcp       : False
-  compass    : "nw"
-  ns_ip      : "172.16.16.90/29"
-  ns_mac     : "dc:9f:db:2a:1d:17"
-  bridge_type: "NanoStation M5"
-  status     : "down"
-
-
-iface_vr2:
-  comment    : "Webcams ips 41 t/m 44 PC 37 NS Aalsmeer 35"
-  ip         : "172.17.0.33/28"
-  sdesc      : "2webcams"
-  mode       : "ap-wds"
-  type       : "eth"
-  channel    : "52"
-  ssid       : "il-n.watertoren1.wleiden.net"
-  dhcp       : False
-  compass    : "n"
-  ns_ip      : "172.17.0.34/28"
-  ns_mac     : "00:15:6d:70:4e:7f"
+  compass    : "zw"
+  ns_ip      : "172.16.16.99/29"
+  ns_mac     : "00:15:6d:ec:81:f3"
   bridge_type: "NanoStation5"
   status     : "up"
 
 
+iface_vr2:
+  comment    : "Nanostation naar Unused (Mast1:Pos3)"
+  ip         : "172.16.4.113/29"
+  sdesc      : "2unused"
+  mode       : "ap-wds"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "132"
+  ssid       : "il-nw.watertoren2.wleiden.net"
+  dhcp       : False
+  compass    : "nw"
+  ns_ip      : "172.16.4.114/29"
+  ns_mac     : "00:15:6d:70:4d:a5"
+  bridge_type: "NanoStation5"
+  status     : "up"
+
+