Index: nodes/HybridTEYAkzoNobel1/alt-wleiden.yaml
===================================================================
--- nodes/HybridTEYAkzoNobel1/alt-wleiden.yaml	(revision 12806)
+++ nodes/HybridTEYAkzoNobel1/alt-wleiden.yaml	(revision 12806)
@@ -0,0 +1,113 @@
+# Genesis config yaml style
+# vim:ts=2:et:sw=2:ai
+#
+board     : "ALIX2"
+comment   : "None"
+latitude  : "52.20738"
+location  : "AkzoNobel, Sassenheim"
+longitude : "4.488716"
+masterip  : "172.17.126.1"
+monitoring_group: "Teylingen"
+nodename  : "TEYAkzoNobel1"
+nodetype  : "Hybrid"
+rdnap_x   : 93585
+rdnap_y   : 469188
+release   : "9.0-RELEASE"
+service_accesspoint: True
+service_concentrator: False
+service_incoming_rdr: False
+service_proxy_ileiden: False
+service_proxy_normal: False
+status    : "planned"
+
+
+iface_ath0:
+  comment    : "Accesspoints buiten (toekomst)"
+  ip         : "172.17.126.1/24"
+  sdesc      : "binnen"
+  mode       : "ap"
+  type       : "11g"
+  channel    : 11
+  ssid       : "ap-Tey-AkzoNobel-buiten"
+  dhcp       : "10-250"
+  status     : "up"
+
+iface_ue0:
+  comment    : "Interlink naar Warmond"
+  ip         : "172.16.6.105/29"
+  sdesc      : "2zo"
+  mode       : "ap-wds"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "140"
+  ssid       : "il-zo.teyakzonobel1.wleiden.net"
+  dhcp       : False
+  compass    : "nnw"
+  ns_ip      : "172.16.6.106/29"
+  ns_mac     : ""
+  bridge_type: "NanoBridgeM5"
+  status     : "down"
+
+
+iface_vr0:
+  comment    : "Interlink naar Bartholomeus"
+  ip         : "172.17.2.241/29"
+  sdesc      : "2bartholomeus"
+  mode       : "station-wds"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "124"
+  ssid       : "il-n.teyakzonobel1.wleiden.net"
+  dhcp       : False
+  compass    : "n"
+  ns_ip      : "172.17.2.242"
+  ns_mac     : ""
+  bridge_type: "NanoBridgeM5"
+  status     : "up"
+  
+
+iface_vr0_alias0:
+  comment    : "Interlink naar St. Victor"
+  ip         : "172.17.2.233/29"
+  sdesc      : "2stvictor"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  dhcp       : False
+  status     : "up"
+  
+  
+iface_vr0_alias1:
+  comment    : "Interlink naar Sportpark Elsgeest"
+  ip         : "172.17.0.73/29"
+  sdesc      : "2nnw"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  dhcp       : False
+  status     : "down"
+
+
+iface_vr2:
+  comment    : "Interlink naar Kaag1"
+  ip         : "172.16.5.209/29"
+  sdesc      : "2kaag1"
+  mode       : "ap"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "64"
+  ssid       : "il-ono.teyakzonobel.wleiden.net"
+  dhcp       : False
+  compass    : "ono"
+  ns_ip      : "172.16.5.210"
+  ns_mac     : ""
+  bridge_type: "NanoBridgeM5"
+  status     : "up"
+
+  
+iface_vr2:
+  comment    : "Link naar AkzoNobel2"
+  ip         : "172.17.0.65/30"
+  sdesc      : "2akzo2"
+  type       : "eth"
+  dhcp       : False
+  status     : "up"
+
Index: nodes/HybridTEYAkzoNobel1/wleiden.yaml
===================================================================
--- nodes/HybridTEYAkzoNobel1/wleiden.yaml	(revision 12804)
+++ nodes/HybridTEYAkzoNobel1/wleiden.yaml	(revision 12806)
@@ -9,5 +9,5 @@
 masterip  : "172.17.126.1"
 monitoring_group: "Teylingen"
-nodename  : "TEYAkzoNobel"
+nodename  : "TEYAkzoNobel1"
 nodetype  : "Hybrid"
 rdnap_x   : 93585
@@ -23,28 +23,28 @@
 
 iface_ath0:
-  comment    : "ap voor locaal"
-  ip         : "172.17.126.1/24"
-  sdesc      : "omni"
+  comment    : "Link naar AkzoNobel2"
+  ip         : "172.17.0.65/30"
+  sdesc      : "2akzonobel2"
   mode       : "ap"
   type       : "11g"
   channel    : 1
-  ssid       : "ap-WirelessLeiden-AkzoNobel"
-  dhcp       : "10-250"
+  ssid       : "il-i.teyakzonobel.wleiden.net"
+  dhcp       : False
   status     : "up"
 
 iface_ue0:
-  comment    : "Interlink naar zuid"
+  comment    : "Interlink naar Warmond"
   ip         : "172.16.6.105/29"
-  sdesc      : "2bartholomeus"
+  sdesc      : "2zo"
   mode       : "ap-wds"
   type       : "eth"
   extra_type : "eth2wifibridge"
   channel    : "140"
-  ssid       : "il-z.teyakzonobel.wleiden.net"
+  ssid       : "il-zo.teyakzonobel1.wleiden.net"
   dhcp       : False
-  compass    : "z"
+  compass    : "nnw"
   ns_ip      : "172.16.6.106/29"
   ns_mac     : ""
-  bridge_type: "NanostationM5"
+  bridge_type: "NanoBridgeM5"
   status     : "up"
 
@@ -52,5 +52,5 @@
 iface_vr0:
   comment    : "Interlink naar Bartholomeus"
-  ip         : "172.16.9.36/29"
+  ip         : "172.17.2.241/29"
   sdesc      : "2bartholomeus"
   mode       : "station-wds"
@@ -58,27 +58,38 @@
   extra_type : "eth2wifibridge"
   channel    : "124"
-  ssid       : "il-z.teybartholomeus.wleiden.net"
+  ssid       : "il-n.teyakzonobel1.wleiden.net"
   dhcp       : False
   compass    : "n"
-  ns_ip      : "172.16.9.35/29"
+  ns_ip      : "172.17.2.242"
   ns_mac     : ""
-  bridge_type: "NanostationM5"
+  bridge_type: "NanoBridgeM5"
   status     : "up"
+  
 
-
+iface_vr0_alias0:
+  comment    : "Interlink naar St. Victor"
+  ip         : "172.17.2.233/29"
+  sdesc      : "2stvictor"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  dhcp       : False
+  bridge_type: "NanoBridgeM5"
+  status     : "up"
+  
+  
 iface_vr1:
-  comment    : "Interlink naar noordoost"
-  ip         : "172.16.5.1/29"
-  sdesc      : "2no"
+  comment    : "Interlink naar Sportpark Elsgeest"
+  ip         : "172.17.0.73/29"
+  sdesc      : "2nnw"
   mode       : "ap-wds"
   type       : "eth"
   extra_type : "eth2wifibridge"
   channel    : "100"
-  ssid       : "il-no.teyakzonobel.wleiden.net"
+  ssid       : "il-nnw.teyakzonobel.wleiden.net"
   dhcp       : False
-  compass    : "no"
-  ns_ip      : "172.16.5.2"
+  compass    : "n"
+  ns_ip      : "172.17.0.74"
   ns_mac     : ""
-  bridge_type: "NanostationM5"
+  bridge_type: "NanoBridgeM5"
   status     : "up"
 
@@ -97,5 +108,5 @@
   ns_ip      : "172.16.5.210"
   ns_mac     : ""
-  bridge_type: "NanoStationM5"
+  bridge_type: "NanoBridgeM5"
   status     : "down"
 