Index: nodes/network.kml
===================================================================
--- nodes/network.kml	(revision 12812)
+++ nodes/network.kml	(revision 12847)
@@ -378,5 +378,5 @@
     <description>Rick</description>
     <Point>
-      <coordinates>4.47100,52.13999,0</coordinates>
+      <coordinates>4.47100,52.14100,0</coordinates>
     </Point>
   </Placemark>
@@ -455,4 +455,12 @@
 
   <Placemark>
+    <name>Rekpark303</name>
+    <description>Rekpark303</description>
+    <Point>
+      <coordinates>4.724687,52.25819,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
     <name>Burcht</name>
     <description>Burcht</description>
@@ -682,5 +690,5 @@
     <description>Rekpark214a</description>
     <Point>
-      <coordinates>4.724687,52.25819,0</coordinates>
+      <coordinates>4.731308,52.262683,0</coordinates>
     </Point>
   </Placemark>
@@ -719,4 +727,12 @@
 
   <Placemark>
+    <name>Kijkduin</name>
+    <description>Kijkduin</description>
+    <Point>
+      <coordinates>4.462,52.262,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
     <name>TEYOudeRaadhuis</name>
     <description>TEYOudeRaadhuis</description>
@@ -818,5 +834,5 @@
     <description>Rekpark214b</description>
     <Point>
-      <coordinates>4.724687,52.25819,0</coordinates>
+      <coordinates>4.731308,52.262683,0</coordinates>
     </Point>
   </Placemark>
@@ -826,5 +842,5 @@
     <description>Rekpark214c</description>
     <Point>
-      <coordinates>4.724687,52.25819,0</coordinates>
+      <coordinates>4.731308,52.262683,0</coordinates>
     </Point>
   </Placemark>
@@ -1010,13 +1026,5 @@
     <description>Rick2</description>
     <Point>
-      <coordinates>4.47100,52.13999,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Recpark</name>
-    <description>Recpark</description>
-    <Point>
-      <coordinates>4.724687,52.25819,0</coordinates>
+      <coordinates>4.47100,52.14100,0</coordinates>
     </Point>
   </Placemark>
@@ -1272,4 +1280,104 @@
       <LineString>
         <coordinates>
+          4.49378,52.16950,0
+          4.48901,52.16950,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.45966,52.16825,0
+          4.47808,52.16962,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.49378,52.16950,0
+          4.47808,52.16962,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.48786,52.15765,0
+          4.49094,52.15805,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.47978,52.17294,0
+          4.47808,52.16962,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.74856,52.23663,0
+          4.68455,52.22644,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.75742,52.25493,0
+          4.74856,52.23663,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkDown</styleUrl>
+      <LineString>
+        <coordinates>
+          4.45961,52.16782,0
+          4.47519,52.17149,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.50131,52.11836,0
+          4.50433,52.11823,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.75742,52.25493,0
+          4.74555,52.26387,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
           4.75742,52.25493,0
           4.724687,52.25819,0
@@ -1282,104 +1390,4 @@
       <LineString>
         <coordinates>
-          4.49378,52.16950,0
-          4.48901,52.16950,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.45966,52.16825,0
-          4.47808,52.16962,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.49378,52.16950,0
-          4.47808,52.16962,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.48786,52.15765,0
-          4.49094,52.15805,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.47978,52.17294,0
-          4.47808,52.16962,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.74856,52.23663,0
-          4.68455,52.22644,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.75742,52.25493,0
-          4.74856,52.23663,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkDown</styleUrl>
-      <LineString>
-        <coordinates>
-          4.45961,52.16782,0
-          4.47519,52.17149,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.50131,52.11836,0
-          4.50433,52.11823,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.75742,52.25493,0
-          4.74555,52.26387,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
           4.75742,52.25493,0
           4.68455,52.22644,0
@@ -1429,8 +1437,18 @@
 
    <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.47100,52.13999,0
+      <styleUrl>#linkPlanned</styleUrl>
+      <LineString>
+        <coordinates>
+          4.482612,52.221419,0
+          4.488716,52.20738,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.47100,52.14100,0
           3.59545,51.46017,0
         </coordinates>
@@ -1489,4 +1507,14 @@
 
    <Placemark>
+      <styleUrl>#linkDown</styleUrl>
+      <LineString>
+        <coordinates>
+          4.47198,52.25110,0
+          4.462,52.262,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
       <styleUrl>#linkUp</styleUrl>
       <LineString>
@@ -1509,5 +1537,5 @@
 
    <Placemark>
-      <styleUrl>#linkUp</styleUrl>
+      <styleUrl>#linkDown</styleUrl>
       <LineString>
         <coordinates>
@@ -1542,6 +1570,6 @@
       <LineString>
         <coordinates>
-          4.724687,52.25819,0
-          4.724687,52.25819,0
+          4.731308,52.262683,0
+          4.731308,52.262683,0
         </coordinates>
       </LineString>
@@ -1762,5 +1790,5 @@
       <LineString>
         <coordinates>
-          4.47100,52.13999,0
+          4.47100,52.14100,0
           3.59545,51.46017,0
         </coordinates>
@@ -1789,4 +1817,14 @@
 
    <Placemark>
+      <styleUrl>#linkPlanned</styleUrl>
+      <LineString>
+        <coordinates>
+          4.488716,52.20738,0
+          4.489229,52.250914,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
       <styleUrl>#linkUp</styleUrl>
       <LineString>
@@ -2012,6 +2050,6 @@
       <LineString>
         <coordinates>
-          4.724687,52.25819,0
-          4.724687,52.25819,0
+          4.731308,52.262683,0
+          4.731308,52.262683,0
         </coordinates>
       </LineString>
@@ -2083,5 +2121,5 @@
         <coordinates>
           4.75742,52.25493,0
-          4.724687,52.25819,0
+          4.731308,52.262683,0
         </coordinates>
       </LineString>
@@ -2242,5 +2280,5 @@
       <LineString>
         <coordinates>
-          4.47100,52.13999,0
+          4.47100,52.14100,0
           4.47319,52.14253,0
         </coordinates>
@@ -2732,16 +2770,16 @@
       <LineString>
         <coordinates>
-          4.724687,52.25819,0
-          4.724687,52.25819,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.47100,52.13999,0
-          4.47100,52.13999,0
+          4.731308,52.262683,0
+          4.731308,52.262683,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
+          4.47100,52.14100,0
+          4.47100,52.14100,0
         </coordinates>
       </LineString>