Index: branches/releng-10/nanobsd/files/var/unbound/unbound.conf
===================================================================
--- branches/releng-10/nanobsd/files/var/unbound/unbound.conf	(revision 12955)
+++ branches/releng-10/nanobsd/files/var/unbound/unbound.conf	(revision 13010)
@@ -4,5 +4,7 @@
 server:
   # log verbosity
-    verbosity: 1
+    verbosity: 3
+
+    use-syslog: no
 
   # specify the interfaces to answer queries from by ip-address.  The default
@@ -11,5 +13,14 @@
   # 'interface:' labeled line.  The listen interfaces are not changed on
   # reload, only on restart.
-    interface: 0.0.0.0
+    interface: 127.0.0.1
+    interface: 172.17.16.129
+    interface: 172.17.65.1
+    interface: 172.16.4.124
+    interface: 172.16.4.28
+    interface: 172.16.3.21
+    interface: 172.16.3.85
+    interface: 172.17.16.1
+
+  #  interface: 0.0.0.0
 
   # port to answer queries from
@@ -129,5 +140,5 @@
   # Allow the domain (and its subdomains) to contain private addresses.
   # local-data statements are allowed to contain private addresses too.
-#    private-domain: "wleiden.net"
+  private-domain: "wleiden.net"
 
   # If nonzero, unwanted replies are not only reported in statistics, but also
@@ -175,4 +186,5 @@
 
 
+
   # Unbound will not load if you specify the same local-zone and local-data
   # servers in the main configuration as well as in this "include:" file. We
@@ -183,7 +195,13 @@
   # locally served zones can be configured for the machines on the LAN.
 
-#    local-zone: "wleiden.net" static
-
-#    local-data: "firewall.home.lan.  IN A 10.0.0.1"
+  #  local-zone: "wleiden.net" static
+  #  local-zone: "16.172.in-addr.arpa" transparent
+
+  # include: /var/unbound/local-data
+
+#    local-data: "cetim2.wleiden.net.  IN A 172.17.137.1"
+#    local-data: "vosko2.wleiden.net.  IN A 172.17.93.1"
+#    local-data: "sunny.wleiden.net.  IN A 172.16.4.46"
+#    local-data: "imi.wleiden.net.  IN A 172.17.24.1"
 #    local-data: "laptop.home.lan.    IN A 10.0.0.2"
 #    local-data: "xboxone.home.lan.   IN A 10.0.0.3"
@@ -193,5 +211,8 @@
 #    local-data: "dhcp7.home.lan.     IN A 10.0.0.7"
 
-#    local-data-ptr: "10.0.0.1  firewall.home.lan"
+#    local-data-ptr: "172.17.137.1  cetim2.wleiden.net"
+#    local-data-ptr: "172.17.93.1  vosko2.wleiden.net"
+#    local-data-ptr: "172.16.4.46  sunny.wleiden.net"
+#    local-data-ptr: "172.17.24.1  imi.wleiden.net"
 #    local-data-ptr: "10.0.0.2  laptop.home.lan"
 #    local-data-ptr: "10.0.0.3  xboxone.home.lan"
@@ -216,5 +237,72 @@
 #
 
-
+  private-domain: "wleiden.net"
+  local-zone: "16.172.in-addr.arpa." nodefault
+  local-zone: "17.172.in-addr.arpa." nodefault
+  local-zone: "18.172.in-addr.arpa." nodefault
+  local-zone: "19.172.in-addr.arpa." nodefault
+  local-zone: "20.172.in-addr.arpa." nodefault
+  local-zone: "21.172.in-addr.arpa." nodefault
+  local-zone: "22.172.in-addr.arpa." nodefault
+  local-zone: "23.172.in-addr.arpa." nodefault
+  local-zone: "24.172.in-addr.arpa." nodefault
+  local-zone: "25.172.in-addr.arpa." nodefault
+  local-zone: "26.172.in-addr.arpa." nodefault
+  local-zone: "27.172.in-addr.arpa." nodefault
+  local-zone: "28.172.in-addr.arpa." nodefault
+  local-zone: "29.172.in-addr.arpa." nodefault
+  local-zone: "30.172.in-addr.arpa." nodefault
+  local-zone: "31.172.in-addr.arpa." nodefault
+  stub-zone:
+     name: "wleiden.net"
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "16.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "17.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "18.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "19.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "20.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "21.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "22.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "23.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+    name: "24.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "25.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "26.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+    name: "27.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+    name: "28.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "29.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "30.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
+  stub-zone:
+     name: "31.172.in-addr.arpa."
+     stub-addr: 172.16.4.46
   # If you have an internal or private DNS names the external DNS servers can
   # not resolve, then you can assign domain name strings to be redirected to a
@@ -242,5 +330,5 @@
 
 
-   include: /var/unbound/forward-zone 
+  include: /var/unbound/forward-zone 
 
 #