Index: nodes/network.kml
===================================================================
--- nodes/network.kml	(revision 13588)
+++ nodes/network.kml	(revision 13606)
@@ -359,12 +359,4 @@
 
   <Placemark>
-    <name>Rick</name>
-    <description>Rick</description>
-    <Point>
-      <coordinates>4.47100,52.13999,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
     <name>Grip</name>
     <description>Grip</description>
@@ -511,4 +503,468 @@
 
   <Placemark>
+    <name>SOM1</name>
+    <description>SOM1</description>
+    <Point>
+      <coordinates>4.49378,52.16950,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Langevoort</name>
+    <description>Langevoort</description>
+    <Point>
+      <coordinates>4.47699,52.18620,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Stadhuis</name>
+    <description>Stadhuis</description>
+    <Point>
+      <coordinates>4.49094,52.15805,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Zijloever</name>
+    <description>Zijloever</description>
+    <Point>
+      <coordinates>4.51431,52.16161,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>LucasN</name>
+    <description>LucasN</description>
+    <Point>
+      <coordinates>4.48684,52.16189,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Meerburg</name>
+    <description>Meerburg</description>
+    <Point>
+      <coordinates>4.51566,52.14282,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>KWAster</name>
+    <description>KWAster</description>
+    <Point>
+      <coordinates>4.41978,52.18667,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>ZTWDorpskerk</name>
+    <description>ZTWDorpskerk</description>
+    <Point>
+      <coordinates>4.49724,52.12129,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Zwet</name>
+    <description>Zwet</description>
+    <Point>
+      <coordinates>4.50131,52.11836,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>StBavo1</name>
+    <description>StBavo1</description>
+    <Point>
+      <coordinates>4.56611,52.19183,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>TEYAkzoNobel1</name>
+    <description>TEYAkzoNobel1</description>
+    <Point>
+      <coordinates>4.48870,52.20737,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>TEYAkzoNobel2</name>
+    <description>TEYAkzoNobel2</description>
+    <Point>
+      <coordinates>4.48870,52.20737,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>StVictor</name>
+    <description>StVictor</description>
+    <Point>
+      <coordinates>4.48922,52.25091,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Herman</name>
+    <description>Herman</description>
+    <Point>
+      <coordinates>4.75797,52.25868,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Suetanborgh</name>
+    <description>Suetanborgh</description>
+    <Point>
+      <coordinates>4.49810,52.12206,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>KWVdeKaag</name>
+    <description>KWVdeKaag</description>
+    <Point>
+      <coordinates>4.53709,52.19745,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>ZTWRijneke</name>
+    <description>ZTWRijneke</description>
+    <Point>
+      <coordinates>4.54943,52.13784,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>PanTerra2</name>
+    <description>PanTerra2</description>
+    <Point>
+      <coordinates>4.52561,52.16545,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>PanTerra1</name>
+    <description>PanTerra1</description>
+    <Point>
+      <coordinates>4.52561,52.16545,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>PVKerkDuif</name>
+    <description>PVKerkDuif</description>
+    <Point>
+      <coordinates>4.50433,52.11823,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>TestTienAlix3D</name>
+    <description>TestTienAlix3D</description>
+    <Point>
+      <coordinates>4.63854,52.17062,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Kijkduin</name>
+    <description>Kijkduin</description>
+    <Point>
+      <coordinates>4.46176,52.26087,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>TEYOudeRaadhuis</name>
+    <description>TEYOudeRaadhuis</description>
+    <Point>
+      <coordinates>4.50368,52.19686,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Leythenrode1</name>
+    <description>Leythenrode1</description>
+    <Point>
+      <coordinates>4.53564,52.15582,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>StJan</name>
+    <description>StJan</description>
+    <Point>
+      <coordinates>4.50357,52.10902,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Leythenrode2</name>
+    <description>Leythenrode2</description>
+    <Point>
+      <coordinates>4.53567,52.15576,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Lijtweg2</name>
+    <description>Lijtweg2</description>
+    <Point>
+      <coordinates>4.47098,52.18489,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Lijtweg1</name>
+    <description>Lijtweg1</description>
+    <Point>
+      <coordinates>4.47100,52.18523,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Graficall</name>
+    <description>Graficall</description>
+    <Point>
+      <coordinates>4.53926,52.15630,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>DeKijker</name>
+    <description>DeKijker</description>
+    <Point>
+      <coordinates>4.48229,52.16741,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Kudelstaart</name>
+    <description>Kudelstaart</description>
+    <Point>
+      <coordinates>4.74856,52.23663,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Rustenborch</name>
+    <description>Rustenborch</description>
+    <Point>
+      <coordinates>4.46392,52.18218,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Drijfhuis</name>
+    <description>Drijfhuis</description>
+    <Point>
+      <coordinates>4.74555,52.26387,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Wulp</name>
+    <description>Wulp</description>
+    <Point>
+      <coordinates>4.47762,52.27365,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>TEYJOP</name>
+    <description>TEYJOP</description>
+    <Point>
+      <coordinates>4.47941,52.21789,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Rekpark214b</name>
+    <description>Rekpark214b</description>
+    <Point>
+      <coordinates>4.73131,52.26268,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Rekpark214c</name>
+    <description>Rekpark214c</description>
+    <Point>
+      <coordinates>4.73131,52.26268,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Rekpark214a</name>
+    <description>Rekpark214a</description>
+    <Point>
+      <coordinates>4.73131,52.26268,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Lebkov</name>
+    <description>Lebkov</description>
+    <Point>
+      <coordinates>4.48182,52.16678,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Roomburgh1</name>
+    <description>Roomburgh1</description>
+    <Point>
+      <coordinates>4.51315,52.15095,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Roomburgh2</name>
+    <description>Roomburgh2</description>
+    <Point>
+      <coordinates>4.51322,52.15108,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Cope</name>
+    <description>Cope</description>
+    <Point>
+      <coordinates>4.48521,52.15972,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Vosko1</name>
+    <description>Vosko1</description>
+    <Point>
+      <coordinates>4.48786,52.15765,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Vosko2</name>
+    <description>Vosko2</description>
+    <Point>
+      <coordinates>4.48786,52.15765,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Vosko3</name>
+    <description>Vosko3</description>
+    <Point>
+      <coordinates>4.48786,52.15765,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Vosko4</name>
+    <description>Vosko4</description>
+    <Point>
+      <coordinates>4.48786,52.15765,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>TulpEnZee</name>
+    <description>TulpEnZee</description>
+    <Point>
+      <coordinates>4.47299,52.27355,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>NieuweEnergie</name>
+    <description>NieuweEnergie</description>
+    <Point>
+      <coordinates>4.50232,52.17972,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Ed2</name>
+    <description>Ed2</description>
+    <Point>
+      <coordinates>3.59544,51.46017,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>IMI</name>
+    <description>IMI</description>
+    <Point>
+      <coordinates>4.48724,52.15454,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Geluidsnet1</name>
+    <description>Geluidsnet1</description>
+    <Point>
+      <coordinates>4.47908,52.16254,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Geluidsnet2</name>
+    <description>Geluidsnet2</description>
+    <Point>
+      <coordinates>4.48003,52.16200,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Hortus</name>
+    <description>Hortus</description>
+    <Point>
+      <coordinates>4.48483,52.15718,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>DirkLos2</name>
+    <description>DirkLos2</description>
+    <Point>
+      <coordinates>4.47071,52.16732,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>Heineken</name>
+    <description>Heineken</description>
+    <Point>
+      <coordinates>4.54213,52.13810,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>DirkLos1</name>
+    <description>DirkLos1</description>
+    <Point>
+      <coordinates>4.47071,52.16732,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>ROC1</name>
+    <description>ROC1</description>
+    <Point>
+      <coordinates>4.49342,52.14498,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
+    <name>ROC2</name>
+    <description>ROC2</description>
+    <Point>
+      <coordinates>4.49342,52.14498,0</coordinates>
+    </Point>
+  </Placemark>
+
+  <Placemark>
     <name>Kaag1</name>
     <description>Kaag1</description>
@@ -519,476 +975,4 @@
 
   <Placemark>
-    <name>Langevoort</name>
-    <description>Langevoort</description>
-    <Point>
-      <coordinates>4.47699,52.18620,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Stadhuis</name>
-    <description>Stadhuis</description>
-    <Point>
-      <coordinates>4.49094,52.15805,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Zijloever</name>
-    <description>Zijloever</description>
-    <Point>
-      <coordinates>4.51431,52.16161,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>LucasN</name>
-    <description>LucasN</description>
-    <Point>
-      <coordinates>4.48684,52.16189,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Meerburg</name>
-    <description>Meerburg</description>
-    <Point>
-      <coordinates>4.51566,52.14282,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>KWAster</name>
-    <description>KWAster</description>
-    <Point>
-      <coordinates>4.41978,52.18667,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>ZTWDorpskerk</name>
-    <description>ZTWDorpskerk</description>
-    <Point>
-      <coordinates>4.49724,52.12129,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Zwet</name>
-    <description>Zwet</description>
-    <Point>
-      <coordinates>4.50131,52.11836,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>StBavo1</name>
-    <description>StBavo1</description>
-    <Point>
-      <coordinates>4.56611,52.19183,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>TEYAkzoNobel1</name>
-    <description>TEYAkzoNobel1</description>
-    <Point>
-      <coordinates>4.48870,52.20737,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>TEYAkzoNobel2</name>
-    <description>TEYAkzoNobel2</description>
-    <Point>
-      <coordinates>4.48870,52.20737,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>StVictor</name>
-    <description>StVictor</description>
-    <Point>
-      <coordinates>4.48922,52.25091,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Herman</name>
-    <description>Herman</description>
-    <Point>
-      <coordinates>4.75797,52.25868,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Suetanborgh</name>
-    <description>Suetanborgh</description>
-    <Point>
-      <coordinates>4.49810,52.12206,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>KWVdeKaag</name>
-    <description>KWVdeKaag</description>
-    <Point>
-      <coordinates>4.53709,52.19745,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>ZTWRijneke</name>
-    <description>ZTWRijneke</description>
-    <Point>
-      <coordinates>4.54943,52.13784,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>PanTerra2</name>
-    <description>PanTerra2</description>
-    <Point>
-      <coordinates>4.52561,52.16545,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>PanTerra1</name>
-    <description>PanTerra1</description>
-    <Point>
-      <coordinates>4.52561,52.16545,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>PVKerkDuif</name>
-    <description>PVKerkDuif</description>
-    <Point>
-      <coordinates>4.50433,52.11823,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>TestTienAlix3D</name>
-    <description>TestTienAlix3D</description>
-    <Point>
-      <coordinates>4.63854,52.17062,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Kijkduin</name>
-    <description>Kijkduin</description>
-    <Point>
-      <coordinates>4.46176,52.26087,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>TEYOudeRaadhuis</name>
-    <description>TEYOudeRaadhuis</description>
-    <Point>
-      <coordinates>4.50368,52.19686,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Leythenrode1</name>
-    <description>Leythenrode1</description>
-    <Point>
-      <coordinates>4.53564,52.15582,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>StJan</name>
-    <description>StJan</description>
-    <Point>
-      <coordinates>4.50357,52.10902,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Leythenrode2</name>
-    <description>Leythenrode2</description>
-    <Point>
-      <coordinates>4.53567,52.15576,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Lijtweg2</name>
-    <description>Lijtweg2</description>
-    <Point>
-      <coordinates>4.47098,52.18489,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Lijtweg1</name>
-    <description>Lijtweg1</description>
-    <Point>
-      <coordinates>4.47100,52.18523,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Graficall</name>
-    <description>Graficall</description>
-    <Point>
-      <coordinates>4.53926,52.15630,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>DeKijker</name>
-    <description>DeKijker</description>
-    <Point>
-      <coordinates>4.48229,52.16741,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Kudelstaart</name>
-    <description>Kudelstaart</description>
-    <Point>
-      <coordinates>4.74856,52.23663,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Rustenborch</name>
-    <description>Rustenborch</description>
-    <Point>
-      <coordinates>4.46392,52.18218,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Drijfhuis</name>
-    <description>Drijfhuis</description>
-    <Point>
-      <coordinates>4.74555,52.26387,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Wulp</name>
-    <description>Wulp</description>
-    <Point>
-      <coordinates>4.47762,52.27365,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>TEYJOP</name>
-    <description>TEYJOP</description>
-    <Point>
-      <coordinates>4.47941,52.21789,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Rekpark214b</name>
-    <description>Rekpark214b</description>
-    <Point>
-      <coordinates>4.73131,52.26268,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Rekpark214c</name>
-    <description>Rekpark214c</description>
-    <Point>
-      <coordinates>4.73131,52.26268,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Rekpark214a</name>
-    <description>Rekpark214a</description>
-    <Point>
-      <coordinates>4.73131,52.26268,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Lebkov</name>
-    <description>Lebkov</description>
-    <Point>
-      <coordinates>4.48182,52.16678,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Roomburgh1</name>
-    <description>Roomburgh1</description>
-    <Point>
-      <coordinates>4.51315,52.15095,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Roomburgh2</name>
-    <description>Roomburgh2</description>
-    <Point>
-      <coordinates>4.51322,52.15108,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Cope</name>
-    <description>Cope</description>
-    <Point>
-      <coordinates>4.48521,52.15972,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Vosko1</name>
-    <description>Vosko1</description>
-    <Point>
-      <coordinates>4.48786,52.15765,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Vosko2</name>
-    <description>Vosko2</description>
-    <Point>
-      <coordinates>4.48786,52.15765,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Vosko3</name>
-    <description>Vosko3</description>
-    <Point>
-      <coordinates>4.48786,52.15765,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Vosko4</name>
-    <description>Vosko4</description>
-    <Point>
-      <coordinates>4.48786,52.15765,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>TulpEnZee</name>
-    <description>TulpEnZee</description>
-    <Point>
-      <coordinates>4.47299,52.27355,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>NieuweEnergie</name>
-    <description>NieuweEnergie</description>
-    <Point>
-      <coordinates>4.50232,52.17972,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Ed2</name>
-    <description>Ed2</description>
-    <Point>
-      <coordinates>3.59544,51.46017,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>IMI</name>
-    <description>IMI</description>
-    <Point>
-      <coordinates>4.48724,52.15454,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Geluidsnet1</name>
-    <description>Geluidsnet1</description>
-    <Point>
-      <coordinates>4.47908,52.16254,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Geluidsnet2</name>
-    <description>Geluidsnet2</description>
-    <Point>
-      <coordinates>4.48003,52.16200,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Rick2</name>
-    <description>Rick2</description>
-    <Point>
-      <coordinates>4.47100,52.13999,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Hortus</name>
-    <description>Hortus</description>
-    <Point>
-      <coordinates>4.48483,52.15718,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>DirkLos2</name>
-    <description>DirkLos2</description>
-    <Point>
-      <coordinates>4.47071,52.16732,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>Heineken</name>
-    <description>Heineken</description>
-    <Point>
-      <coordinates>4.54213,52.13810,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>DirkLos1</name>
-    <description>DirkLos1</description>
-    <Point>
-      <coordinates>4.47071,52.16732,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>ROC1</name>
-    <description>ROC1</description>
-    <Point>
-      <coordinates>4.49342,52.14498,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>ROC2</name>
-    <description>ROC2</description>
-    <Point>
-      <coordinates>4.49342,52.14498,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
-    <name>SOM1</name>
-    <description>SOM1</description>
-    <Point>
-      <coordinates>4.49378,52.16950,0</coordinates>
-    </Point>
-  </Placemark>
-
-  <Placemark>
     <name>Rund</name>
     <description>Rund</description>
@@ -1026,5 +1010,5 @@
     <description>JorisdeWitte</description>
     <Point>
-      <coordinates>16.59521,51.66111,0</coordinates>
+      <coordinates>4.4780,52.1941,0</coordinates>
     </Point>
   </Placemark>
@@ -1302,14 +1286,4 @@
       <LineString>
         <coordinates>
-          4.47100,52.13999,0
-          3.59544,51.46017,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
           4.50368,52.19686,0
           4.49378,52.16950,0
@@ -1482,4 +1456,14 @@
       <LineString>
         <coordinates>
+          4.49342,52.14498,0
+          4.50461,52.15903,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
           4.45966,52.16825,0
           4.47762,52.18429,0
@@ -1602,14 +1586,4 @@
       <LineString>
         <coordinates>
-          4.47100,52.13999,0
-          3.59544,51.46017,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
           4.50905,52.14243,0
           4.53926,52.15630,0
@@ -2142,14 +2116,4 @@
       <LineString>
         <coordinates>
-          4.47100,52.13999,0
-          4.47319,52.14253,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
           4.55594,52.21262,0
           4.53709,52.19745,0
@@ -2629,14 +2593,4 @@
 
    <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
-          4.47100,52.13999,0
-          4.47100,52.13999,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
       <styleUrl>#linkDown</styleUrl>
       <LineString>
@@ -2763,5 +2717,5 @@
         <coordinates>
           4.49378,52.16950,0
-          16.59521,51.66111,0
+          4.4780,52.1941,0
         </coordinates>
       </LineString>
@@ -2773,5 +2727,5 @@
         <coordinates>
           4.48870,52.20737,0
-          16.59521,51.66111,0
+          4.4780,52.1941,0
         </coordinates>
       </LineString>
@@ -2822,4 +2776,14 @@
       <LineString>
         <coordinates>
+          4.55925,52.21786,0
+          4.5505,52.166297,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
           4.48714,52.22313,0
           4.48261,52.22142,0
@@ -2852,4 +2816,14 @@
       <LineString>
         <coordinates>
+          4.51322,52.15108,0
+          4.51315,52.15095,0
+        </coordinates>
+      </LineString>
+    </Placemark>
+
+   <Placemark>
+      <styleUrl>#linkUp</styleUrl>
+      <LineString>
+        <coordinates>
           4.48870,52.20737,0
           4.48870,52.20737,0
@@ -2892,14 +2866,4 @@
       <LineString>
         <coordinates>
-          4.51322,52.15108,0
-          4.51315,52.15095,0
-        </coordinates>
-      </LineString>
-    </Placemark>
-
-   <Placemark>
-      <styleUrl>#linkUp</styleUrl>
-      <LineString>
-        <coordinates>
           4.37425,51.99757,0
           4.50357,52.10902,0
@@ -2940,2 +2904,3 @@
 </Document>
 </kml>
+