Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/databases_db5/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/databases_db5/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/databases_db5/options	(revision 13659)
@@ -1,6 +1,6 @@
 # This file is auto-generated by 'make config'.
-# Options for db5-5.3.28_2
-_OPTIONS_READ=db5-5.3.28_2
-_FILE_COMPLETE_OPTIONS_LIST=CRYPTO DOCS JAVA L10N SQL
+# Options for db5-5.3.28_6
+_OPTIONS_READ=db5-5.3.28_6
+_FILE_COMPLETE_OPTIONS_LIST=CRYPTO DOCS JAVA L10N SQL TCL
 OPTIONS_FILE_SET+=CRYPTO
 OPTIONS_FILE_SET+=DOCS
@@ -8,2 +8,3 @@
 OPTIONS_FILE_UNSET+=L10N
 OPTIONS_FILE_UNSET+=SQL
+OPTIONS_FILE_UNSET+=TCL
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/devel_pcre/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/devel_pcre/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/devel_pcre/options	(revision 13659)
@@ -1,8 +1,9 @@
 # This file is auto-generated by 'make config'.
-# Options for pcre-8.37_4
-_OPTIONS_READ=pcre-8.37_4
-_FILE_COMPLETE_OPTIONS_LIST=DOCS LIBEDIT READLINE STACK_RECURSION
+# Options for pcre-8.39_1
+_OPTIONS_READ=pcre-8.39_1
+_FILE_COMPLETE_OPTIONS_LIST=DOCS MAN3 STACK_RECURSION LIBEDIT READLINE
 OPTIONS_FILE_SET+=DOCS
+OPTIONS_FILE_SET+=MAN3
+OPTIONS_FILE_SET+=STACK_RECURSION
 OPTIONS_FILE_UNSET+=LIBEDIT
 OPTIONS_FILE_UNSET+=READLINE
-OPTIONS_FILE_SET+=STACK_RECURSION
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/dns_nsd/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/dns_nsd/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/dns_nsd/options	(revision 13659)
@@ -1,6 +1,6 @@
 # This file is auto-generated by 'make config'.
-# Options for nsd-4.1.5
-_OPTIONS_READ=nsd-4.1.5
-_FILE_COMPLETE_OPTIONS_LIST=BIND8_STATS CHECKING DOCS IPV6 LARGEFILE MINRESPSIZE MMAP MUNIN_PLUGIN NSEC3 ROOT_SERVER RRL ZONE_STATS
+# Options for nsd-4.1.14
+_OPTIONS_READ=nsd-4.1.14
+_FILE_COMPLETE_OPTIONS_LIST=BIND8_STATS CHECKING DOCS IPV6 LARGEFILE MINRESPSIZE MMAP MUNIN_PLUGIN NSEC3 RADIXTREE ROOT_SERVER RRL ZONE_STATS
 OPTIONS_FILE_UNSET+=BIND8_STATS
 OPTIONS_FILE_UNSET+=CHECKING
@@ -12,4 +12,5 @@
 OPTIONS_FILE_UNSET+=MUNIN_PLUGIN
 OPTIONS_FILE_SET+=NSEC3
+OPTIONS_FILE_SET+=RADIXTREE
 OPTIONS_FILE_UNSET+=ROOT_SERVER
 OPTIONS_FILE_SET+=RRL
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/dns_unbound/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/dns_unbound/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/dns_unbound/options	(revision 13659)
@@ -1,6 +1,7 @@
 # This file is auto-generated by 'make config'.
-# Options for unbound-1.5.4_1
-_OPTIONS_READ=unbound-1.5.4_1
-_FILE_COMPLETE_OPTIONS_LIST=DOCS ECDSA FILTER_AAAA GOST LIBEVENT MUNIN PYTHON THREADS
+# Options for unbound-1.6.0
+_OPTIONS_READ=unbound-1.6.0
+_FILE_COMPLETE_OPTIONS_LIST=DNSTAP DOCS ECDSA FILTER_AAAA GOST LIBEVENT MUNIN_PLUGIN PYTHON THREADS
+OPTIONS_FILE_UNSET+=DNSTAP
 OPTIONS_FILE_SET+=DOCS
 OPTIONS_FILE_SET+=ECDSA
@@ -8,5 +9,5 @@
 OPTIONS_FILE_UNSET+=GOST
 OPTIONS_FILE_UNSET+=LIBEVENT
-OPTIONS_FILE_UNSET+=MUNIN
+OPTIONS_FILE_UNSET+=MUNIN_PLUGIN
 OPTIONS_FILE_UNSET+=PYTHON
 OPTIONS_FILE_SET+=THREADS
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/ftp_curl/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/ftp_curl/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/ftp_curl/options	(revision 13659)
@@ -1,6 +1,6 @@
 # This file is auto-generated by 'make config'.
-# Options for curl-7.44.0
-_OPTIONS_READ=curl-7.44.0
-_FILE_COMPLETE_OPTIONS_LIST=CA_BUNDLE COOKIES CURL_DEBUG DEBUG DOCS EXAMPLES HTTP2 IDN IPV6 LDAP LDAPS LIBSSH2 PROXY RTMP TLS_SRP GSSAPI_BASE GSSAPI_HEIMDAL GSSAPI_MIT GSSAPI_NONE CARES THREADED_RESOLVER GNUTLS NSS OPENSSL POLARSSL WOLFSSL
+# Options for curl-7.51.0_4
+_OPTIONS_READ=curl-7.51.0_4
+_FILE_COMPLETE_OPTIONS_LIST=CA_BUNDLE COOKIES CURL_DEBUG DEBUG DOCS EXAMPLES HTTP2 IDN IPV6 LDAP LDAPS LIBSSH2 METALINK PROXY PSL RTMP SMB TLS_SRP GSSAPI_BASE GSSAPI_HEIMDAL GSSAPI_MIT GSSAPI_NONE CARES THREADED_RESOLVER GNUTLS NSS OPENSSL POLARSSL WOLFSSL
 OPTIONS_FILE_SET+=CA_BUNDLE
 OPTIONS_FILE_SET+=COOKIES
@@ -15,6 +15,9 @@
 OPTIONS_FILE_UNSET+=LDAPS
 OPTIONS_FILE_UNSET+=LIBSSH2
+OPTIONS_FILE_UNSET+=METALINK
 OPTIONS_FILE_SET+=PROXY
+OPTIONS_FILE_UNSET+=PSL
 OPTIONS_FILE_UNSET+=RTMP
+OPTIONS_FILE_UNSET+=SMB
 OPTIONS_FILE_SET+=TLS_SRP
 OPTIONS_FILE_SET+=GSSAPI_BASE
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/lang_tcl86/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/lang_tcl86/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/lang_tcl86/options	(revision 13659)
@@ -1,6 +1,8 @@
 # This file is auto-generated by 'make config'.
-# Options for tcl86-8.6.4
-_OPTIONS_READ=tcl86-8.6.4
-_FILE_COMPLETE_OPTIONS_LIST=MODULES TCLMAN THREADS TZDATA
+# Options for tcl86-8.6.6_2
+_OPTIONS_READ=tcl86-8.6.6_2
+_FILE_COMPLETE_OPTIONS_LIST=DEBUG DTRACE MODULES TCLMAN THREADS TZDATA
+OPTIONS_FILE_UNSET+=DEBUG
+OPTIONS_FILE_SET+=DTRACE
 OPTIONS_FILE_SET+=MODULES
 OPTIONS_FILE_UNSET+=TCLMAN
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/net-mgmt_net-snmp/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/net-mgmt_net-snmp/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/net-mgmt_net-snmp/options	(revision 13659)
@@ -1,6 +1,7 @@
 # This file is auto-generated by 'make config'.
-# Options for net-snmp-5.7.3_9
-_OPTIONS_READ=net-snmp-5.7.3_9
-_FILE_COMPLETE_OPTIONS_LIST=AX_SOCKONLY DOCS DUMMY IPV6 JAIL MFD_REWRITES MYSQL PERL PERL_EMBEDDED PYTHON SMUX TKMIB UNPRIVILEGED
+# Options for net-snmp-5.7.3_11
+_OPTIONS_READ=net-snmp-5.7.3_11
+_FILE_COMPLETE_OPTIONS_LIST=AX_DISABLE_TRAP AX_SOCKONLY DOCS DUMMY IPV6 JAIL MFD_REWRITES MYSQL PERL PERL_EMBEDDED PYTHON SMUX TKMIB UNPRIVILEGED
+OPTIONS_FILE_UNSET+=AX_DISABLE_TRAP
 OPTIONS_FILE_UNSET+=AX_SOCKONLY
 OPTIONS_FILE_SET+=DOCS
Index: branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/www_apache24/options
===================================================================
--- branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/www_apache24/options	(revision 13657)
+++ branches/releng-11/nanobsd/cfg/wlpkgbuild11_0-node-options/www_apache24/options	(revision 13659)
@@ -1,6 +1,6 @@
 # This file is auto-generated by 'make config'.
-# Options for apache24-2.4.16_1
-_OPTIONS_READ=apache24-2.4.16_1
-_FILE_COMPLETE_OPTIONS_LIST=ACCESS_COMPAT ACTIONS ALIAS ALLOWMETHODS ASIS AUTHNZ_FCGI AUTHNZ_LDAP AUTHN_ANON AUTHN_CORE AUTHN_DBD AUTHN_DBM AUTHN_FILE AUTHN_SOCACHE AUTHZ_CORE AUTHZ_DBD AUTHZ_DBM AUTHZ_GROUPFILE AUTHZ_HOST AUTHZ_OWNER AUTHZ_USER AUTH_BASIC AUTH_DIGEST AUTH_FORM AUTOINDEX BUFFER CACHE CACHE_DISK CACHE_SOCACHE CERN_META CGI CGID CHARSET_LITE DATA DAV DAV_FS DAV_LOCK DBD DEFLATE DIALUP DIR DUMPIO ENV EXPIRES EXT_FILTER FILE_CACHE FILTER HEADERS HEARTBEAT HEARTMONITOR IDENT IMAGEMAP INCLUDE INFO IPV4_MAPPED LBMETHOD_BYBUSYNESS LBMETHOD_BYREQUESTS LBMETHOD_BYTRAFFIC LBMETHOD_HEARTBEAT LDAP LOGIO LOG_DEBUG LOG_FORENSIC LUA LUAJIT MACRO MIME MIME_MAGIC NEGOTIATION PROXY RATELIMIT REFLECTOR REMOTEIP REQTIMEOUT REQUEST REWRITE SED SESSION SETENVIF SLOTMEM_PLAIN SLOTMEM_SHM SOCACHE_DBM SOCACHE_DC SOCACHE_MEMCACHE SOCACHE_SHMCB SPELING SSL STATUS SUBSTITUTE SUEXEC UNIQUE_ID USERDIR USERTRACK VERSION VHOST_ALIAS WATCHDOG XML2ENC MPM_PREFORK MPM_WORKER MPM_EVENT MPM_SHARED PROXY_AJP PROXY_BALANCER PROXY_CONNECT PROXY_EXPRESS PROXY_FCGI  PROXY_FDPASS PROXY_FTP PROXY_HTTP PROXY_SCGI PROXY_WSTUNNEL PROXY_HTML SESSION_COOKIE SESSION_CRYPTO SESSION_DBD  BUCKETEER CASE_FILTER CASE_FILTER_IN ECHO EXAMPLE_HOOKS EXAMPLE_IPC  OPTIONAL_FN_EXPORT OPTIONAL_FN_IMPORT OPTIONAL_HOOK_EXPORT  OPTIONAL_HOOK_IMPORT
+# Options for apache24-2.4.23_2
+_OPTIONS_READ=apache24-2.4.23_2
+_FILE_COMPLETE_OPTIONS_LIST=ACCESS_COMPAT ACTIONS ALIAS ALLOWMETHODS ASIS AUTHNZ_FCGI AUTHNZ_LDAP AUTHN_ANON AUTHN_CORE AUTHN_DBD AUTHN_DBM AUTHN_FILE AUTHN_SOCACHE AUTHZ_CORE AUTHZ_DBD AUTHZ_DBM AUTHZ_GROUPFILE AUTHZ_HOST AUTHZ_OWNER AUTHZ_USER AUTH_BASIC AUTH_DIGEST AUTH_FORM AUTOINDEX BUFFER CACHE CACHE_DISK CACHE_SOCACHE CERN_META CGI CGID CHARSET_LITE DATA DAV DAV_FS DAV_LOCK DBD DEFLATE DIALUP DIR DUMPIO ENV EXPIRES EXT_FILTER FILE_CACHE FILTER HEADERS HEARTBEAT HEARTMONITOR HTTP2 IDENT IMAGEMAP INCLUDE INFO IPV4_MAPPED LBMETHOD_BYBUSYNESS LBMETHOD_BYREQUESTS LBMETHOD_BYTRAFFIC LBMETHOD_HEARTBEAT LDAP LOGIO LOG_DEBUG LOG_FORENSIC LUA LUAJIT MACRO MIME MIME_MAGIC NEGOTIATION PROXY RATELIMIT REFLECTOR REMOTEIP REQTIMEOUT REQUEST REWRITE SED SESSION SETENVIF SLOTMEM_PLAIN SLOTMEM_SHM SOCACHE_DBM SOCACHE_DC SOCACHE_MEMCACHE SOCACHE_SHMCB SPELING SSL STATUS SUBSTITUTE SUEXEC UNIQUE_ID USERDIR USERTRACK VERSION VHOST_ALIAS WATCHDOG XML2ENC MPM_PREFORK MPM_WORKER MPM_EVENT MPM_SHARED PROXY_AJP PROXY_BALANCER PROXY_CONNECT PROXY_EXPRESS PROXY_FCGI  PROXY_FDPASS PROXY_FTP PROXY_HCHECK PROXY_HTML PROXY_HTTP PROXY_SCGI PROXY_WSTUNNEL PROXY_HTTP2 SESSION_COOKIE SESSION_CRYPTO SESSION_DBD  BUCKETEER CASE_FILTER CASE_FILTER_IN ECHO EXAMPLE_HOOKS EXAMPLE_IPC  OPTIONAL_FN_EXPORT OPTIONAL_FN_IMPORT OPTIONAL_HOOK_EXPORT  OPTIONAL_HOOK_IMPORT
 OPTIONS_FILE_SET+=ACCESS_COMPAT
 OPTIONS_FILE_SET+=ACTIONS
@@ -52,4 +52,5 @@
 OPTIONS_FILE_SET+=HEARTBEAT
 OPTIONS_FILE_SET+=HEARTMONITOR
+OPTIONS_FILE_UNSET+=HTTP2
 OPTIONS_FILE_UNSET+=IDENT
 OPTIONS_FILE_SET+=IMAGEMAP
@@ -110,8 +111,10 @@
 OPTIONS_FILE_SET+=PROXY_FDPASS
 OPTIONS_FILE_SET+=PROXY_FTP
+OPTIONS_FILE_SET+=PROXY_HCHECK
+OPTIONS_FILE_UNSET+=PROXY_HTML
 OPTIONS_FILE_SET+=PROXY_HTTP
 OPTIONS_FILE_SET+=PROXY_SCGI
 OPTIONS_FILE_SET+=PROXY_WSTUNNEL
-OPTIONS_FILE_UNSET+=PROXY_HTML
+OPTIONS_FILE_UNSET+=PROXY_HTTP2
 OPTIONS_FILE_SET+=SESSION_COOKIE
 OPTIONS_FILE_SET+=SESSION_CRYPTO