Index: nodes/ZTWMeerburgkerk/wleiden.yaml
===================================================================
--- nodes/ZTWMeerburgkerk/wleiden.yaml	(revision 13613)
+++ nodes/ZTWMeerburgkerk/wleiden.yaml	(revision 13674)
@@ -24,5 +24,78 @@
 
 
-iface_ue0:
+iface_vr0_102:
+  comment    : "Link naar VVMeerburg"
+  ip         : "172.16.5.57/29"
+  sdesc      : "2Meerburg"
+  mode       : "ap-wds"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "116"
+  ssid       : "il-wzw.mbkerk.wleiden.net"
+  dhcp       : False
+  compass    : "wzw"
+  ns_ip      : "172.16.5.58/29"
+  ns_mac     : "dc:9f:db:64:24:bb"
+  bridge_type: "NanoStation M5"
+  status     : "up"
+
+iface_vr0_102_alias0:
+  comment    : "Link naar Rick"
+  ip         : "172.16.3.98/29"
+  sdesc      : "2Rick"
+  type       : "eth"
+  status     : "up"
+
+
+iface_vr0_102_alias1:
+  comment    : "Link naar ZTWGemeenteHuis"
+  ip         : "172.16.7.201/29"
+  sdesc      : "2nw"
+  mode       : "ap-wds"
+  type       : "eth"
+  extra_type : "eth2wifibridge"
+  channel    : "100"
+  ssid       : "il-nw.mbkerk.wleiden.net"
+  dhcp       : False
+  compass    : "nw"
+  ns_ip      : "172.16.7.202"
+  ns_mac     : "dc:9f:db:64:23:a3"
+  bridge_type: "NanoStation M5"
+  status     : "up"
+
+iface_vr0_103:
+  comment    : "Interlink kabel 2 - port 3"
+  parent     : "bridge0"
+  sdesc      : "2ap"
+  mode       : "ap-wds"
+  type       : "eth"
+  ssid       : "WiFi Zoeterwoude"
+  dhcp       : "10-240"
+  ns_ip      : "172.16.7.202/29"
+  status     : "up"
+
+iface_vr0_104:
+  comment    : "Access Point - kabel 3 - port 4"
+  parent     : "bridge0"
+  sdesc      : "2ap"
+  mode       : "ap-wds"
+  type       : "eth"
+  ssid       : "WiFi Zoeterwoude"
+  dhcp       : "10-240"
+  ns_ip      : "192.168.1.23/24"
+  status     : "up"
+
+iface_vr0_105:
+  comment    : "Access Point - kabel 4 - port 5"
+  parent     : "bridge0"
+  sdesc      : "2ap"
+  mode       : "ap-wds"
+  type       : "eth"
+  ssid       : "WiFi Zoeterwoude"
+  dhcp       : "10-240"
+  ns_ip      : "192.168.1.22/24"
+  status     : "up"
+
+iface_vr1_102:
   comment    : "Link naar Heineken"
   ip         : "172.16.7.212/29"
@@ -40,47 +113,16 @@
   status     : "up"
 
-
-iface_vr0:
-  comment    : "Link naar VVMeerburg"
-  ip         : "172.16.5.57/29"
-  sdesc      : "2Meerburg"
+iface_vr1_103:
+  comment    : "Access Point - kabel 6 - port 3"
+  parent     : "bridge0"
+  sdesc      : "2ap"
   mode       : "ap-wds"
   type       : "eth"
-  extra_type : "eth2wifibridge"
-  channel    : "116"
-  ssid       : "il-wzw.mbkerk.wleiden.net"
-  dhcp       : False
-  compass    : "wzw"
-  ns_ip      : "172.16.5.58/29"
-  ns_mac     : "dc:9f:db:64:24:bb"
-  bridge_type: "NanoStation M5"
+  ssid       : "WiFi Zoeterwoude"
+  dhcp       : "10-240"
+  ns_ip      : "172.17.115.2/24"
   status     : "up"
 
-iface_vr0_alias0:
-  comment    : "Link naar Rick"
-  ip         : "172.16.3.98/29"
-  sdesc      : "2Rick"
-  type       : "eth"
-  status     : "up"
-
-
-iface_vr0_alias1:
-  comment    : "Link naar ZTWGemeenteHuis"
-  ip         : "172.16.7.201/29"
-  sdesc      : "2nw"
-  mode       : "ap-wds"
-  type       : "eth"
-  extra_type : "eth2wifibridge"
-  channel    : "100"
-  ssid       : "il-nw.mbkerk.wleiden.net"
-  dhcp       : False
-  compass    : "nw"
-  ns_ip      : "172.16.7.202"
-  ns_mac     : "dc:9f:db:64:23:a3"
-  bridge_type: "NanoStation M5"
-  status     : "up"
-
-
-iface_vr1:
+iface_vr1_104:
   comment    : "Link naar PanTerra1"
   ip         : "172.16.5.84/29"
@@ -98,3 +140,30 @@
   status     : "up"
 
+iface_vr1_105:
+  comment    : "Access Point - kabel 8 - port 5"
+  parent     : "bridge0"
+  sdesc      : "2ap"
+  mode       : "ap-wds"
+  type       : "eth"
+  ssid       : "WiFi Zoeterwoude"
+  dhcp       : "10-240"
+  ns_ip      : "172.17.116.2/24"
+  status     : "up"
 
+iface_vr2:
+  comment    : "Access Point - kabel 9 - Klok"
+  parent     : "bridge0"
+  sdesc      : "2ap"
+  mode       : "ap-wds"
+  type       : "eth"
+  ssid       : "WiFi Zoeterwoude"
+  dhcp       : "10-240"
+  ns_ip      : "172.17.114.2/24"
+  status     : "up"
+
+iface_bridge0:
+  comment    : "Access Point"
+  type       : "eth"
+  ip         : "172.17.114.1/24"
+  dhcp       : "10-240"
+