Index: branches/releng-11/nanobsd/files/etc/crontab
===================================================================
--- branches/releng-11/nanobsd/files/etc/crontab	(revision 13707)
+++ branches/releng-11/nanobsd/files/etc/crontab	(revision 13716)
@@ -37,5 +37,3 @@
 # Resolv optimizer
 */15	*	*	*	*	root	/tools/nameserver-shuffle cron
-# Sync ``shadow'' routing table
-*/5	*	*	*	*	root	/tools/sync-fib-tables
 
Index: branches/releng-11/nanobsd/files/etc/dhclient-exit-hooks
===================================================================
--- branches/releng-11/nanobsd/files/etc/dhclient-exit-hooks	(revision 13707)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/sh -
-#
-# An normal proxy should not have an defaultrouter configured, as all calls to
-# the outside world are handled via PF redirects.
-#
-# Rick van der Zwet <rick@wirelessleiden.nl>
-
-. /etc/rc.subr
-
-: ${service_proxy_normal="NO"}
-: ${service_proxy_ileiden="NO"}
-: ${service_accesspoint="NO"}
-
-load_rc_config 'ileiden'
-
-update_pf_conf() {
-  $LOGGER "reason: $reason"
-  if is_default_interface 2>/dev/null; then
-    $LOGGER "is_default_interface: TRUE"
-    $LOGGER "`sysctl net.my_fib`"
-    new_ext_if_gw=`route -n get default 2>/dev/null | awk '/gateway/ {print $2}'`
-    $LOGGER "prev default gateway: $ext_if_gw"
-    $LOGGER "curr default gateway: $new_ext_if_gw"
-    if [ -n "$new_ext_if_gw" -a "$new_ext_if_gw" != "$ext_if_gw" ];  then
-      $LOGGER "Syncing new default route ($new_ext_if_gw) to routing table 1"
-      { grep -v '^ext_if_gw=' $rc_conf_running; echo "ext_if_gw=$new_ext_if_gw"; } > $rc_conf_running
-      $LOGGER "`setfib 1 route -q del default 2>&1`"
-      $LOGGER "`setfib 1 route -q add default $new_ext_if_gw 2>&1`"
-    fi
-  else
-    $LOGGER "is_default_interface: FALSE"
-  fi
-
-  # Make sure not to nuke the default route on an ileiden proxy,
-  # as it will rendering it usefull
-  checkyesno "service_proxy_ileiden" && return
-
-  if [ -n "$new_ext_if_gw" ] && checkyesno "service_proxy_normal" && checkyesno "service_accesspoint"; then
-    $LOGGER "Removing default route from routing table 0 as machine is marked as service_proxy AND service_accesspoint"
-    $LOGGER "`setfib 0 route -q del default 2>&1`"
-  fi
-}
-
-reason=${reason:-${REASON:-"BOUND"}}
-case $reason in
-  BOUND|RENEW|REBIND|REBOOT)
-    update_pf_conf
-    ;;
-  TIMEOUT)
-    update_pf_conf 
-    ;;
-esac
-  
Index: branches/releng-11/nanobsd/files/root/.cshrc
===================================================================
--- branches/releng-11/nanobsd/files/root/.cshrc	(revision 13707)
+++ branches/releng-11/nanobsd/files/root/.cshrc	(revision 13716)
@@ -36,16 +36,4 @@
 endif
 
-# Quirck to make sure the current interactive session actually has FIB=0
-# assigned. When sshd(4) is running under FIB=1 for example, it will default to
-# FIB=1. This will make sure the shell behaviour routing wise is like an
-# normal client.
-if ($?prompt) then
-  if (`sysctl -n net.my_fibnum` != 0) then
-    echo "# WARN: Multiple routing tables use! Defaulting new shell to FIB=0"
-    setfib -0 csh 
-    logout
-  endif
-endif
-    
 if ($?prompt) then
    [ -x /etc/motd.cshrc ] && source /etc/motd.cshrc
Index: branches/releng-11/nanobsd/files/tools/sync-fib-tables
===================================================================
--- branches/releng-11/nanobsd/files/tools/sync-fib-tables	(revision 13707)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#!/bin/sh -
-#
-# Clone routing table SRC into routing table DST
-#
-# Rick van der Zwet <rick@wirelessleiden.nl>
-#
-SRC=${1:-0}
-DST=${2:-1}
-
-# Flush all routes and make sure to re-apply gateway (if existed)
-gateway=`setfib $DST route -n get default | awk '/gateway:/ {print $2}'`
-setfib $DST route -qn flush
-[ -n "$gateway" ] && setfib $DST route -qn add default $gateway
-
-# Hack to sync remaining dynamic routes
-setfib $SRC netstat -nr -f inet | grep -v 'default' | awk '/UGD/ {print $1" "$2}' | while read tgt gw; do
-  setfib $DST route -qn add $tgt $gw
-done
-
-
-