Index: /branches/releng-11/nanobsd/files/usr/local/etc/unbound/unbound.conf
===================================================================
--- /branches/releng-11/nanobsd/files/usr/local/etc/unbound/unbound.conf	(revision 13759)
+++ /branches/releng-11/nanobsd/files/usr/local/etc/unbound/unbound.conf	(revision 13760)
@@ -403,5 +403,5 @@
 	# if yes, the above default do-not-query-address entries are present.
 	# if no, localhost can be queried (for testing and debugging).
-	# do-not-query-localhost: yes
+	do-not-query-localhost: no
 
 	# if yes, perform prefetching of almost expired message cache entries.
@@ -548,20 +548,20 @@
 	# local-zone: "onion." nodefault
 	# local-zone: "10.in-addr.arpa." nodefault
-	# local-zone: "16.172.in-addr.arpa." nodefault
-	# local-zone: "17.172.in-addr.arpa." nodefault
-	# local-zone: "18.172.in-addr.arpa." nodefault
-	# local-zone: "19.172.in-addr.arpa." nodefault
-	# local-zone: "20.172.in-addr.arpa." nodefault
-	# local-zone: "21.172.in-addr.arpa." nodefault
-	# local-zone: "22.172.in-addr.arpa." nodefault
-	# local-zone: "23.172.in-addr.arpa." nodefault
-	# local-zone: "24.172.in-addr.arpa." nodefault
-	# local-zone: "25.172.in-addr.arpa." nodefault
-	# local-zone: "26.172.in-addr.arpa." nodefault
-	# local-zone: "27.172.in-addr.arpa." nodefault
-	# local-zone: "28.172.in-addr.arpa." nodefault
-	# local-zone: "29.172.in-addr.arpa." nodefault
-	# local-zone: "30.172.in-addr.arpa." nodefault
-	# local-zone: "31.172.in-addr.arpa." nodefault
+	local-zone: "16.172.in-addr.arpa." nodefault
+	local-zone: "17.172.in-addr.arpa." nodefault
+	local-zone: "18.172.in-addr.arpa." nodefault
+	local-zone: "19.172.in-addr.arpa." nodefault
+	local-zone: "20.172.in-addr.arpa." nodefault
+	local-zone: "21.172.in-addr.arpa." nodefault
+	local-zone: "22.172.in-addr.arpa." nodefault
+	local-zone: "23.172.in-addr.arpa." nodefault
+	local-zone: "24.172.in-addr.arpa." nodefault
+	local-zone: "25.172.in-addr.arpa." nodefault
+	local-zone: "26.172.in-addr.arpa." nodefault
+	local-zone: "27.172.in-addr.arpa." nodefault
+	local-zone: "28.172.in-addr.arpa." nodefault
+	local-zone: "29.172.in-addr.arpa." nodefault
+	local-zone: "30.172.in-addr.arpa." nodefault
+	local-zone: "31.172.in-addr.arpa." nodefault
 	# local-zone: "168.192.in-addr.arpa." nodefault
 	# local-zone: "0.in-addr.arpa." nodefault
@@ -589,5 +589,5 @@
 	# The insecure-lan-zones option disables validation for
 	# these zones, as if they were all listed as domain-insecure.
-	# insecure-lan-zones: no
+	insecure-lan-zones: yes
 
 	# a number of locally served zones can be configured.
@@ -727,5 +727,72 @@
 #	name: "example.org"
 #	stub-host: ns.example.com.
-
+stub-zone:
+    name: "wleiden.net"
+	stub-addr: 127.0.0.1@5353
+
+#$ for I in `seq 16 31`; do echo -e "stub-zone:\n\tname: \"$I.172.in-addr.arpa\"\n\tstub-addr: 127.0.0.1@5353\n"; done
+stub-zone:
+	name: "16.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "17.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "18.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "19.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "20.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "21.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "22.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "23.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "24.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "25.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "26.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "27.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "28.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "29.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "30.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
+
+stub-zone:
+	name: "31.172.in-addr.arpa"
+	stub-addr: 127.0.0.1@5353
 # Forward zones
 # Create entries like below, to make all queries for 'example.com' and